查询仓位库存明细
POST
/erp/sc/routing/data/local_inventory/inventoryBinDetails接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/data/local_inventory/inventoryBinDetails | HTTPS | POST | 1 |
请求参数
widstringbin_type_liststringoffsetintegerlengthinteger请求示例
{
"wid": "1,5,18",
"bin_type_list": "5",
"offset": 0,
"length": 20
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
widinteger必填wh_namestring必填whb_idinteger必填whb_namestring必填whb_typestring必填whb_type_namestring必填product_idinteger必填skustring必填seller_idstring必填fnskustring必填totalinteger必填lockNuminteger必填validNumstring必填third_inventoryobject必填隐藏子属性
qty_sellableinteger必填qty_pendinginteger必填qty_reservedinteger必填qty_onwayinteger必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "A884D2C7-186A-2810-072A-7A0123093BBA",
"response_time": "2024-07-31 15:08:33",
"data": [
{
"wid": 1,
"product_id": 10001,
"sku": "ceshi001",
"seller_id": "0",
"fnsku": "",
"product_total": 55889,
"product_valid_num": 0,
"product_bad_num": 0,
"product_qc_num": 3322,
"product_lock_num": 52567,
"good_lock_num": 52566,
"bad_lock_num": 1,
"stock_cost_total": "4214317.76",
"quantity_receive": "10005050",
"stock_cost": "75.4051",
"product_onway": 187,
"transit_head_cost": "0.00",
"average_age": 610,
"third_inventory": [],
"stock_age_list": [
{
"name": "0-15天库龄",
"qty": 0
},
{
"name": "16-45天库龄",
"qty": 119
},
{
"name": "61-120天库龄",
"qty": 14
},
{
"name": "121-150天库龄",
"qty": 1128
},
{
"name": "151-180天库龄",
"qty": 1
},
{
"name": "181-210天库龄",
"qty": 131
},
{
"name": "366天以上库龄",
"qty": 54111
}
],
"available_inventory_box_qty": "5256.6"
}
],
"total": 12093
}